# coding: utf-8

require 'spec_helper'

describe Turn::BucketMap do
  subject { described_class.new(term) }

  let(:term) { double(Turn::Term) }
  let(:bucket_map) { ['pf28-ams1: 25000', 'pf21-ams1: 25000'] }

  it 'should initialize the bucket map from a server list' do
    expect(term).to receive(:dump_bucket_map).with('dc').and_return(bucket_map)

    subject.load('dc')

    expect(subject.buckets.size).to eq(2)
    expect(subject.buckets.first).to eq('pf28-ams1')
    expect(subject.count).to eq(25_000)
  end
end
