# coding: utf-8

require 'spec_helper'

describe Turn::Server::KV do
  let(:hostname) { 'hostname' }
  let(:port) { 'port' }
  subject { described_class.new(hostname, port) }

  it 'should fetch disk usage' do
    pending do
      expect(subject.disk_usage).to eq(100)
    end
  end

  it 'should fetch cpu info' do
    pending do
      expect(subject.cpu_info).to eq('foo')
    end
  end

  describe '#pair_count' do
    let(:metrics) { { 'x' => 1, 'y' => 2 } }
    let(:term) { double(Turn::Term, dump_public_metrics: metrics) }

    it 'should fetch kv pair count' do
      expect(Turn::Term).to receive(:new).and_return(term)

      expect(subject.pair_count).to eq(3)
    end
  end
end
